unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Menus, StdCtrls, CmplFrt;

type
  TForm1 = class(TForm)
    Memo1: TMemo;
    MainMenu1: TMainMenu;
    N1: TMenuItem;
    N2: TMenuItem;
    N3: TMenuItem;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    N4: TMenuItem;
    exe1: TMenuItem;
    procedure N2Click(Sender: TObject);
    procedure N3Click(Sender: TObject);
    procedure N4Click(Sender: TObject);
    procedure exe1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    fn : string;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.N2Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
    begin
      fn := OpenDialog1.FileName;
      Caption := fn;
      Memo1.Lines.LoadFromFile(fn);
    end;
end;

procedure TForm1.N3Click(Sender: TObject);
begin
  if SaveDialog1.Execute then
    begin
      fn := SaveDialog1.FileName;
      Caption := fn;
      Memo1.Lines.SaveToFile(fn);
    end;
end;

procedure TForm1.N4Click(Sender: TObject);
begin
  if length(fn)<>0 then Memo1.Lines.SaveToFile(fn);
end;

procedure TForm1.exe1Click(Sender: TObject);
var
  fn_exe : string;
begin
  if length(fn)<>0 then
     begin
       fn_exe := ChangeFileExt(fn, '.EXE');
       CompileForth(Memo1.Lines.GetText, fn_exe);
       //Caption := SysErrorMessage(1461);
     end;
end;

procedure TForm1.FormCreate(Sender: TObject);
var
  i : integer;
begin
  fn := '';
  for i := 1 to ParamCount do
    fn := fn + ParamStr(i)+' ';
  if FileExists(fn) then
    begin
      Caption := Trim(fn);
      Memo1.Lines.LoadFromFile(fn);
    end;
end;

end.
